unit Res_Test;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs;

type

  { TRes_Test }

  TRes_Test = class(TCustomControl)
  private
    png: array [0..3] of TPortableNetworkGraphic;
  protected

  public
   constructor Create(AOwner: TComponent); override;
   destructor  Destroy; override;
   procedure   Paint; override;
  published

  end;

procedure Register;

implementation

procedure Register;
begin
  {$I res_test_icon.lrs}
  RegisterComponents('Standard',[TRes_Test]);
end;

{ TRes_Test }

constructor TRes_Test.Create(AOwner: TComponent);
var lv : integer;
begin
  inherited Create(AOwner);
  width := 128;
  height:= 32;
  for lv:=0 to 3 do
  png[lv]  := TPortableNetworkGraphic.Create;
  png[0].LoadFromLazarusResource('menu_environment_options_200');
  png[1].LoadFromLazarusResource('menu_exit_200');
  png[2].LoadFromLazarusResource('menu_new_search_200');
  png[3].LoadFromLazarusResource('menu_project_inspector_200');
end;

destructor TRes_Test.Destroy;
var lv : integer;
begin
  inherited Destroy;
  for lv:=0 to 3 do png[lv].Free;
end;

procedure TRes_Test.Paint;
var lv : integer;
begin
  inherited Paint;
  canvas.FillRect(0,0,width,height);
  for lv:=0 to 3 do canvas.Draw(0+(lv*32),0,png[lv]);
end;

initialization
{$I images.lrs}

end.
